Get an AI Index

Server: https://{kibana_url}
  • GET /api/context_engine/ai_index/{aiIndexId}
  • GET /s/{space_id}/api/context_engine/ai_index/{aiIndexId}

Refer to Spaces for more information.

Fetches an AI Index by ID from the current space, including the ES|QL query derived from each trace.

Returns a 404 response when Context Engine is turned off in this space (contextEngine:enabled).

For more information, refer to the Context Engine documentation.

[Required authorization] Route required privileges: contextEngine:read.

Path Parameters

aiIndexId string · min: 1 · max: 256 required

The unique identifier of the AI Index.

Responses